#include "Afterpulse.h"

#include <TRandom.h>

#include "MMath.h"

#include "MLog.h"
#include "MLogManip.h"

ClassImp(Afterpulse);

using namespace std;

Float_t Afterpulse::Process(APD &apd)
{
    // Do not process afterpulses twice (e.g. HitRelative + IncreaseTime)
    // This should not happen anyway
    //        if (fAmplitude>0)
    //            return fAmplitude;

    const UInt_t nx  = apd.GetNumCellsX()+2;

    const UInt_t x = fCellIndex%nx;
    const UInt_t y = fCellIndex/nx;

    fAmplitude = apd.HitCellImp(x, y, fTime);

    return fAmplitude;
}
